# MySQL dump 8.16
#
# Host: localhost    Database: peasoapluv
#--------------------------------------------------------
# Server version	3.23.47

#
# Table structure for table 'book'
#

CREATE TABLE book (
  bid int(11) NOT NULL auto_increment,
  pg_owner int(11) NOT NULL default '1',
  date_added timestamp(14) NOT NULL,
  date_written timestamp(14) NOT NULL,
  words mediumtext,
  flavor int(11) default '1',
  approved int(11) NOT NULL default '0',
  PRIMARY KEY  (bid)
) TYPE=MyISAM;

#
# Table structure for table 'bugs'
#

CREATE TABLE bugs (
  id int(11) NOT NULL auto_increment,
  area varchar(24) default NULL,
  urgency varchar(42) default NULL,
  description text,
  page varchar(24) default NULL,
  email varchar(32) default NULL,
  status enum('Open','Closed') default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Table structure for table 'contacts'
#

CREATE TABLE contacts (
  cont_id tinyint(4) NOT NULL auto_increment,
  firstname tinytext NOT NULL,
  lastname tinytext NOT NULL,
  email tinytext NOT NULL,
  address tinytext NOT NULL,
  address2 tinytext NOT NULL,
  city tinytext NOT NULL,
  state tinytext NOT NULL,
  zip tinytext NOT NULL,
  phone tinytext NOT NULL,
  PRIMARY KEY  (cont_id)
) TYPE=MyISAM;

#
# Table structure for table 'flavors'
#

CREATE TABLE flavors (
  flav_id int(11) NOT NULL auto_increment,
  flavor_name varchar(32) default NULL,
  PRIMARY KEY  (flav_id)
) TYPE=MyISAM;

#
# Table structure for table 'footstuff'
#

CREATE TABLE footstuff (
  ftr_id int(11) NOT NULL auto_increment,
  bottomshot tinytext,
  who tinytext,
  randftrlink tinytext,
  ftrlinktag tinytext,
  fineprint tinytext,
  PRIMARY KEY  (ftr_id)
) TYPE=MyISAM;

#
# Table structure for table 'group_book'
#

CREATE TABLE group_book (
  gr_bid int(11) NOT NULL auto_increment,
  pg_owner int(11) NOT NULL default '1',
  gr_id int(11) NOT NULL default '4',
  date_added timestamp(14) NOT NULL,
  date_written timestamp(14) NOT NULL,
  words mediumtext,
  flavor int(11) default '1',
  approved int(11) default '0',
  gr_approved int(11) default '0',
  PRIMARY KEY  (gr_bid)
) TYPE=MyISAM;

#
# Table structure for table 'groups'
#

CREATE TABLE groups (
  gid int(11) NOT NULL auto_increment,
  group_name varchar(24) default NULL,
  group_owner int(11) NOT NULL default '0',
  group_members text,
  private int(11) NOT NULL default '1',
  invited text,
  PRIMARY KEY  (gid)
) TYPE=MyISAM;

#
# Table structure for table 'headstuff'
#

CREATE TABLE headstuff (
  hdr_id int(11) NOT NULL auto_increment,
  headstring tinytext,
  substring tinytext,
  pagetitle tinytext,
  PRIMARY KEY  (hdr_id)
) TYPE=MyISAM;

#
# Table structure for table 'reactions'
#

CREATE TABLE reactions (
  react_id int(11) NOT NULL auto_increment,
  page_ref int(11) NOT NULL default '0',
  group_ref int(11) NOT NULL default '0',
  reactor int(11) NOT NULL default '0',
  react_date timestamp(14) NOT NULL,
  reaction text,
  PRIMARY KEY  (react_id)
) TYPE=MyISAM;

#
# Table structure for table 'user'
#

CREATE TABLE user (
  user_id int(11) NOT NULL auto_increment,
  user_name tinytext,
  cont_id int(11) default NULL,
  password tinytext,
  remote_addr tinytext,
  confirm_hash tinytext,
  is_confirmed int(11) NOT NULL default '0',
  start_page int(11) default '1',
  flavor_pref varchar(255) default '1',
  istracking int(11) default '0',
  viewed varchar(255) default '0',
  PRIMARY KEY  (user_id)
) TYPE=MyISAM;

#
# Table structure for table 'userfiles'
#

CREATE TABLE userfiles (
  file_id int(11) NOT NULL auto_increment,
  owner int(11) NOT NULL default '1',
  filename varchar(32) default NULL,
  orig_filename varchar(255) default NULL,
  filesize int(11) default NULL,
  filetype varchar(24) default NULL,
  shared int(11) NOT NULL default '0',
  description varchar(255) default NULL,
  PRIMARY KEY  (file_id)
) TYPE=MyISAM;
